GetSoftwareSet - Amazon WorkSpaces Thin Client

GetSoftwareSet

Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

Returns information for a software set.

Request Syntax

GET /softwaresets/id HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

id

The ID of the software set for which to return information.

Pattern: [0-9]{1,9}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "softwareSet": { "arn": "string", "id": "string", "releasedAt": number, "software": [ { "name": "string", "version": "string" } ], "supportedUntil": number, "tags": { "string" : "string" }, "validationStatus": "string", "version": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

softwareSet

Describes a software set.

Type: SoftwareSet object

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The server encountered an internal error and is unable to complete the request.

retryAfterSeconds

The number of seconds to wait before retrying the next request.

HTTP Status Code: 500

ResourceNotFoundException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The resource specified in the request was not found.

resourceId

The ID of the resource associated with the request.

resourceType

The type of the resource associated with the request.

HTTP Status Code: 404

ThrottlingException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The request was denied due to request throttling.

quotaCode

The code for the quota in Service Quotas.

retryAfterSeconds

The number of seconds to wait before retrying the next request.

serviceCode

The code for the service in Service Quotas.

HTTP Status Code: 429

ValidationException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The input fails to satisfy the specified constraints.

fieldList

A list of fields that didn't validate.

reason

The reason for the exception.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: